﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace WPFSchematics.Definition.Entities.Collection
{
    /// <summary>
    /// 集合操作接口。
    /// </summary>
    public interface IOperateCollection
    {
        /// <summary>
        /// 添加成员。
        /// </summary>
        /// <param name="member"></param>
        void Add(object member);
        /// <summary>
        /// 移除成员。
        /// </summary>
        /// <param name="member"></param>
        void Remove(object member);
        /// <summary>
        /// 插入成员。
        /// </summary>
        /// <param name="index"></param>
        /// <param name="member"></param>
        void Insert(int index, object member);
        /// <summary>
        /// 清空成员。
        /// </summary>
        void Clear();
    }
}
