﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using WPFSchematics.Definition.Shapes;
using System.Windows;

namespace WPFSchematics.Definition.Entities
{
    public class SymbolDragEventArgs : EventArgs
    {
        public SymbolDragEventArgs(IShapeSymbol symbol)
        {
            Symbol = symbol;
        }

        public IShapeSymbol Symbol { get; private set; }

        public Point Scaling { get; set; }

    }
    public delegate void SymbolDragEventHandler(SymbolDragEventArgs args);
}
