﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace WPFSchematics.Definition.Entities
{
    /// <summary>
    /// 实体接口。用来描述所有者的实体类型。
    /// </summary>
    public interface IEntity 
    {
        /// <summary>
        /// 实体索引值。
        /// </summary>
        int Index { get; set; }
        /// <summary>
        /// 标识说明类。
        /// </summary>
        Naming Naming { get; set; }

        /// <summary>
        /// 附加属性。
        /// </summary>
        object Tag { get; set; }
   }

}
