﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows.Media;

namespace WPFSchematics.Definition.Shapes.Templates
{
    /// <summary>
    /// 几何样式。
    /// </summary>
    public interface IShapeGeometryTemplate : IShapeTemplate
    {
        /// <summary>
        /// 路径。
        /// </summary>
        Geometry Outline { set; get; }
        /// <summary>
        /// 填充。
        /// </summary>
        Brush Fill { set; get; }
        /// <summary>
        /// 画笔。
        /// </summary>
        Pen Stroke { set; get; }
    }
}
