﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows.Media;
using System.Windows;
using WPFSchematics.Definition.Entities;

namespace WPFSchematics.Definition.Shapes.Templates
{
    public interface IShapeSymbolTemplate:IShapeTemplate
    {
        /// <summary>
        /// 图元端子位置集合。
        /// </summary>
        Point[] TerminalLocations { set; get; }
        /// <summary>
        /// 符号样式图元。
        /// </summary>
        SymbolDrawingCollection Symbols { set; get; }
        /// <summary>
        /// 默认符号标识。
        /// </summary>
        int DefaultIndex { set; get; }
    }
}
