﻿using WPFSchematics.Definition.Entities;
using System.Windows;
using System.Windows.Media;

namespace WPFSchematics.Definition.Shapes.Templates
{
    /// <summary>
    /// 样式接口。用于维护同一类设备各种状态的不同图元内容。
    /// </summary>
    public interface IShapeTemplate:IEntity
    {
        /// <summary>
        /// 图元样式原点。
        /// </summary>
        Point OriginPoint { set; get; }
        /// <summary>
        /// 端子样式。
        /// </summary>
        IShapeTerminalTemplate ShapeTerminalTemplate { set; get; }
    }
}
