﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using WPFSchematics.Definition.Entities;
using WPFSchematics.Definition.Templates;

namespace WPFSchematics.Definition.Layers
{
    /// <summary>
    /// 叶子图层。可包含设备图元。
    /// </summary>
    public interface IShapeProviderStaticLeafLayer:IShapeProviderLeafLayer
    {
        /// <summary>
        /// 可视比例范围。
        /// </summary>
        ControlRange VisibleRange { set; get; }

        /// <summary>
        /// 可用比例范围。
        /// </summary>
        ControlRange EnableRange { set; get; }

        /// <summary>
        /// 图元。
        /// </summary>
        IShapeTemplate ShapeTemplate { set; get; }
    }
}
