﻿using System.Windows;
using WPFSchematics.Definition.Entities.Collection;
using WPFSchematics.Definition.Models;

namespace WPFSchematics.Definition.Templates
{
    public interface IShapeFeatureTemplate : IShapeTemplate
    {
        /// <summary>
        /// 图元端子样式。
        /// </summary>
        IShapeTerminalTemplate ShapeTerminalTemplate { set; get; }
        /// <summary>
        /// 图元端子位置集合。
        /// </summary>
        Point[] TerminalLocations { set; get; }
        /// <summary>
        /// 符号样式图元。
        /// </summary>
        StateDrawingCollection StateDrawings { set; get; }
        /// <summary>
        /// 默认符号标识。
        /// </summary>
        int DefaultIndex { set; get; }
        /// <summary>
        /// 图元类型
        /// </summary>
        GeometryType GeometryType { get; set; }
    }
}
