﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using WPFSchematics.Definition.Templates;
using WPFSchematics.Definition.Entities.Collection;

namespace WPFSchematics.Definition.Views
{
    /// <summary>
    /// 模板视图接口。
    /// </summary>
    public interface ITemplateSolutionView
    {
        /// <summary>
        /// 模板解决方案。
        /// </summary>
        IShapeTemplateSolution ShapeTemplateSolution { set; get; }
        /// <summary>
        /// 模板组视图集合。
        /// </summary>
        TemplateGroupViewCollection ShapeTemplateGroupViews { get; }
    }
}
