﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;

namespace WPFSchematics.Definition.Common
{
    public interface IResourceManager
    {
        IEnumerable<ResourceDictionary> Resources { get; }

        void AddResource(string dicName, Uri uri);
        void Clear();
        ResourceDictionary GetResource(string dicName);
        void RemoveResource(string dicName);
    }
}
