﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using WPFSchematics.Definition.Entities;
using WPFSchematics.Definition.Entities.Collection;

namespace WPFSchematics.Definition.Layers
{
    /// <summary>
    /// 容器图层。可包含容器图层和叶子图层。
    /// </summary>
    public interface IShapeProviderContainerLayer:IShapeProviderLayer
    {
        /// <summary>
        /// 子图层图元。
        /// </summary>
        LayerCollection ChildrenLayers { get; }
    }
}
