﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace WPFSchematics.Definition.Models
{
    /// <summary>
    /// 图元几何类型。
    /// </summary>
    public enum GeometryType
    {
        /// <summary>
        /// 点。
        /// </summary>
        Point,
        /// <summary>
        /// 线。
        /// </summary>
        Line,
        /// <summary>
        /// 闭合面。
        /// </summary>
        Area,
        /// <summary>
        /// 自定义。
        /// </summary>
        Custom
    }
}
